Skip to main content
GET
List bureau submissions

Authorizations

x-api-key
string
header
required

API key in the format sk_live_<token> (production) or sk_test_<token> (sandbox). Contact Cove to obtain your API key.

Query Parameters

bureau
enum<string>

Filter by bureau

Available options:
equifax,
transunion,
experian
status
enum<string>

Filter by submission status Lifecycle status of a bureau submission

Available options:
pending,
submitted,
accepted,
rejected,
error
tradeline_id
string<uuid>

Filter by tradeline UUID

date_from
string<date>

Filter by submission date (inclusive lower bound, YYYY-MM-DD)

date_to
string<date>

Filter by submission date (inclusive upper bound, YYYY-MM-DD)

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
per_page
integer
default:20

Number of records per page

Required range: 1 <= x <= 100

Response

Paginated list of bureau submissions

data
object[]
pagination
object